
/* ENTRANCE
  ========================================================================== */

body.index{
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
.index header{
  max-width: 24rem;
}
.index nav{
  flex-grow: 1;

  display: flex;
  justify-content: center;
  align-items: center;
}

/* DOOR
  ========================================================================== */

.door{
  /* reset link color for this special one */
  color: revert !important;

  display: block;
  width: 150px;
  height: 300px;
  position: relative;

  --anim: translateY(20px) translateX(-30px) rotate(-3deg);
  --dur: 4s;
}
.hole{
  width: 100%;
  height: 100%;
  background: linear-gradient(whitesmoke 66%, currentColor 200%);

  border: calc(var(--lh) / 4) inset #f0f0f0;
  box-sizing: border-box;

  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 0;
}
.covering{
  width: 100%;
  height: 100%;
  background: white;

  box-sizing: border-box;

  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 1;

  display: flex;
  justify-content: flex-end;
  align-items: center;

  /* transform-origin: left top; */
  transition: transform var(--dur);
}
.doorknob{
  display: inline-block;
  font-size: 2em;
  margin-right: calc(var(--lh) / 2);
  margin-bottom: var(--lh);
}

.door::before{
  /* door shadow with blend mode */
  box-shadow: 10px 5px 10px lightgrey;
  mix-blend-mode: darken;
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;

  /* transform-origin: left top; */
  transition: transform var(--dur), opacity var(--dur);
}
.door:hover .covering{
  transform: var(--anim);
}
.door:hover::before{
  transform: var(--anim);
  opacity: 1;
}


/* note: should be touch! not small, but for now we do that :) */
@media screen and (max-width: 42rem) {
  
  .door .covering{
    animation: openDoor var(--dur);
    transform:  var(--anim);
  }
  .door::before{
    animation: openDoorShaddow var(--dur);
    transform:  var(--anim);
    opacity: 1;
  }

  @keyframes openDoor {
    from{
      transform: initial;
    }
    to{
      transform:  var(--anim);
    }
  }
  @keyframes openDoorShaddow {
    from{
      opacity: 0;
      transform: initial;
    }
    to{
      opacity: 1;
      transform:  var(--anim);
    }
  }
}


